curl -X POST https://api.linquid.io/api/conversions/track \
-H "X-API-Key: lw_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"clickId": "abc123xyz789",
"event": "purchase",
"value": 99.99,
"currency": "USD",
"orderId": "ORD-12345"
}'
const response = await fetch('https://api.linquid.io/api/conversions/track', {
method: 'POST',
headers: {
'X-API-Key': 'lw_your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({
clickId: 'abc123xyz789',
event: 'purchase',
value: 99.99,
currency: 'USD',
orderId: 'ORD-12345',
}),
});
import requests
response = requests.post(
'https://api.linquid.io/api/conversions/track',
headers={
'X-API-Key': 'lw_your_api_key_here',
'Content-Type': 'application/json',
},
json={
'clickId': 'abc123xyz789',
'event': 'purchase',
'value': 99.99,
'currency': 'USD',
'orderId': 'ORD-12345',
}
)
{
"success": true,
"data": {
"conversionId": "conv_def456",
"clickId": "abc123xyz789",
"event": "purchase",
"value": 99.99,
"currency": "USD",
"orderId": "ORD-12345",
"tracked": true,
"timestamp": "2024-01-15T14:30:00.000Z"
}
}
Conversions and Tracking
Track Conversion
Track a conversion event via pixel
POST
/
api
/
conversions
/
track
curl -X POST https://api.linquid.io/api/conversions/track \
-H "X-API-Key: lw_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"clickId": "abc123xyz789",
"event": "purchase",
"value": 99.99,
"currency": "USD",
"orderId": "ORD-12345"
}'
const response = await fetch('https://api.linquid.io/api/conversions/track', {
method: 'POST',
headers: {
'X-API-Key': 'lw_your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({
clickId: 'abc123xyz789',
event: 'purchase',
value: 99.99,
currency: 'USD',
orderId: 'ORD-12345',
}),
});
import requests
response = requests.post(
'https://api.linquid.io/api/conversions/track',
headers={
'X-API-Key': 'lw_your_api_key_here',
'Content-Type': 'application/json',
},
json={
'clickId': 'abc123xyz789',
'event': 'purchase',
'value': 99.99,
'currency': 'USD',
'orderId': 'ORD-12345',
}
)
{
"success": true,
"data": {
"conversionId": "conv_def456",
"clickId": "abc123xyz789",
"event": "purchase",
"value": 99.99,
"currency": "USD",
"orderId": "ORD-12345",
"tracked": true,
"timestamp": "2024-01-15T14:30:00.000Z"
}
}
Request Body
string
Pixel ID (if using managed pixels)
string
required
The click ID (
lw_cid) from the URLstring
default:"conversion"
Conversion event type (e.g.,
purchase, lead, signup)number
Conversion value/amount
string
default:"USD"
ISO currency code
string
Your unique order/transaction ID
object
Additional custom data
curl -X POST https://api.linquid.io/api/conversions/track \
-H "X-API-Key: lw_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"clickId": "abc123xyz789",
"event": "purchase",
"value": 99.99,
"currency": "USD",
"orderId": "ORD-12345"
}'
const response = await fetch('https://api.linquid.io/api/conversions/track', {
method: 'POST',
headers: {
'X-API-Key': 'lw_your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({
clickId: 'abc123xyz789',
event: 'purchase',
value: 99.99,
currency: 'USD',
orderId: 'ORD-12345',
}),
});
import requests
response = requests.post(
'https://api.linquid.io/api/conversions/track',
headers={
'X-API-Key': 'lw_your_api_key_here',
'Content-Type': 'application/json',
},
json={
'clickId': 'abc123xyz789',
'event': 'purchase',
'value': 99.99,
'currency': 'USD',
'orderId': 'ORD-12345',
}
)
{
"success": true,
"data": {
"conversionId": "conv_def456",
"clickId": "abc123xyz789",
"event": "purchase",
"value": 99.99,
"currency": "USD",
"orderId": "ORD-12345",
"tracked": true,
"timestamp": "2024-01-15T14:30:00.000Z"
}
}
Notes
- The
clickIdmust be valid and within the attribution window (default: 30 days) - Duplicate conversions with the same
orderIdare rejected - Values are automatically converted to USD for reporting
Was this page helpful?

